# PinePhoneBoy Operating System

Linux UI customized to resemble a Fallout Pip-Boy. To be used with the PINE64 PinePhone running Arch Linux ARM, enclosed in the PinePhoneBoy harness.

## Screenshots
### Radio tab
![Radio](screenshots/radio.jpg)

## Components
 - sway: Window Manager
 - waybar: Side panel
 - termite: Terminal emulator
 - mako: Notifications daemon

## Dependencies
 - [Sway on PinePhone](https://github.com/Dejvino/pinephone-sway-poc)
 - [feather icons](https://github.com/feathericons/feather)

## Install
```bash
git clone --recurse-submodules https://git.dejvino.cz/dejvino/PinePhoneBoyOS

cd PinePhoneBoyOS

./convert_icons.sh

...

git clone https://github.com/i-mint/midnight
mkdir -p ~/.themes
cp -R midnight/Midnight* ~/.themes/
gsettings set org.gnome.desktop.interface gtk-theme "Midnight-GreenNight"
gsettings set org.gnome.desktop.wm.preferences theme "Midnight-GreenNight"

```

## Notes
 - make sure mpd is running user-wide and not system-wide, otherwise it can't access alsa or pulseaudio (i.e. create ~/.config/mpd/mpd.conf)

